namespace _2023._11._20;

class Haromszog
{
    private string csucsA;
    private string csucsB;
    private string csucsC;

    public Haromszog(string csucsA, string csucsB, string csucsC)
    {
        this.csucsA = csucsA;
        this.csucsB = csucsB;
        this.csucsC = csucsC;
    }

    public double OldalA()
    {
        string[] koordinataB = csucsB.Split(",");
        string[] koordinataC = csucsC.Split(",");

        if (true)
        {
            return Math.Round(Math.Sqrt(Math.Pow(double.Parse(koordinataB[0]) - double.Parse(koordinataC[0]), 2) + Math.Pow(double.Parse(koordinataB[1]) - double.Parse(koordinataC[1]), 2)), 2);
        }

    }
    
    public double OldalB()
    {
        string[] koordinataA = csucsA.Split(",");
        string[] koordinataC = csucsC.Split(",");

        return Math.Round(Math.Sqrt(Math.Pow(double.Parse(koordinataA[0]) - double.Parse(koordinataC[0]), 2) + Math.Pow(double.Parse(koordinataA[1]) - double.Parse(koordinataC[1]), 2)), 2);
    }

    public double OldalC()
    {
        string[] koordinataA = csucsA.Split(",");
        string[] koordinataB = csucsB.Split(",");

        return Math.Round(Math.Sqrt(Math.Pow(double.Parse(koordinataA[0]) - double.Parse(koordinataB[0]), 2) + Math.Pow(double.Parse(koordinataA[1]) - double.Parse(koordinataB[1]), 2)), 2);
    }

    public double Kerulet()
    {
        return Math.Round(OldalA() + OldalB() + OldalC(), 2);
    }

    public double Terulet()
    {
        double S = (OldalA() + OldalB() + OldalC()) / 2;
        return Math.Round(Math.Sqrt(S * (S - OldalA()) * (S - OldalB()) * (S - OldalC())), 2);
    }

    public string Szabalyos()
    {
        if (OldalA() == OldalB() || OldalA() == OldalC() || OldalB() == OldalC())
        {
            return "egyenlőszárú!";
        }

        else if (OldalA() == OldalB() && OldalB() == OldalC())
        {
            return "szabályos!";
        }

        else
        {
            return "nem szabályos, és nem is egyenlőszárú!";
        }
    }

    public void Kiiras()
    {
        System.Console.WriteLine($"A(z) 'a' oldal hossza: {OldalA()}");
        System.Console.WriteLine($"A(z) 'b' oldal hossza: {OldalB()}");
        System.Console.WriteLine($"A(z) 'c' oldal hossza: {OldalC()}");
        System.Console.WriteLine($"A kerület hossza: {Kerulet()}");
        System.Console.WriteLine($"A terület hossza: {Terulet()}");
        System.Console.WriteLine($"A háromszög: {Szabalyos()}");
    }
}
